Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja.util
Class CSVUtil

    java.lang.Object
      org.apache.lucene.analysis.ja.util.CSVUtil

    public final class CSVUtil

extends Object

Utility class for parsing CSV text

Method Summary
`static String[]` | `parse(String line)` Parse CSV line
`static String` | `quoteEscape(String original)` Quote and escape input value for CSV

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static String[] parse(String line)

  Parse CSV line

  Parameters:
    `line` -
  Returns:
    Array of values

### quoteEscape

    public static String quoteEscape(String original)

  Quote and escape input value for CSV

  Parameters:
    `original` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD